## docknot 4.00

=== debian/changelog ===
docknot (4.00-2) unstable; urgency=medium

  * Configure the autopkgtest-pkg-perl tests.  (Closes: #981765)
    - Disable doc and style tests, which don't test functionality and are
      therefore outside the remit of autopkgtest, and which depend on bits
      of the source tree.
    - Include the package metadata that is used as input to some of the
      tests when running the smoke test.

 -- Russ Allbery <rra@debian.org>  Wed, 03 Feb 2021 19:56:38 -0800

docknot (4.00-1) unstable; urgency=medium

  * First upload to Debian.  (Closes: #978083)
  * New upstream release.
    - Change the metadata format to a single YAML file.
    - Add schema checking.
    - Add a docknot update command to convert from the old format.
    - Reorganize the structure of the package metadata.
    - Drop support.cpan since the CPAN RT instance is being retired.
    - Drop the version number from README.md.
    - Word-wrap numeric lists and (in Markdown) quoted paragraphs.
    - Change the threshold for detection of verbatim paragraphs.
    - Minor output tweaks.
  * Update package synopsis from upstream blurb.
  * Change default packaging branch to debian/unstable.
  * Update Vcs-Git and Vcs-Browser to point to Salsa.
  * Add Lintian override for repeated-path-segment (see #968156).
  * Remove bug address override directing bugs to my email.
  * Update standards version to 4.5.1 (no changes required).
  * Update debian/watch version to 4.

 -- Russ Allbery <rra@debian.org>  Fri, 25 Dec 2020 13:52:05 -0800

docknot (3.05-1) unstable; urgency=medium

  * New upstream release.
    - Improve (hopefully) the heuristic to avoid wrapping output
      paragraphs with intentionally broken lines.
    - Force the Debian version badge in README.md to use unstable.
    - Update dependenies as recommended by Perl::Critic::Freenode.
  * Add missing dependency on libio-compress-lzma-perl.

 -- Russ Allbery <rra@debian.org>  Sun, 09 Aug 2020 16:22:57 -0700

docknot (3.04-1) unstable; urgency=medium

  * New upstream release.
    - Change the vcs.travis metadata key to vcs.status.travis.
    - Add support for vcs.status.workflow to create a badge from a GitHub
      workflow.
  * Update debhelper compatibility level to V13.
  * Update standards version to 4.5.0 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 16 May 2020 11:27:01 -0700

docknot (3.03-1) unstable; urgency=medium

  * New upstream release.
    - Add license badge for CPAN packages.
    - Add Debian package version badge.
    - Use IO::Uncompress::Gunzip and IO::Compress:Xz instead of forking
      external programs.
    - Support a distribution/ignore metadata setting to configure which
      files to ignore when checking a distribution.
    - Stop modifying the $@ of the caller of App::DocKnot::Config.

 -- Russ Allbery <rra@debian.org>  Sun, 19 Jan 2020 19:37:49 -0800

docknot (3.02-1) unstable; urgency=medium

  * New upstream release.
    - Add support for No Maintenance Intended badge in Markdown README.
    - Create xz-compressed distribution tarballs if needed.
    - Check for files missing from the distribution tarball.
    - Remove existing directories when recreating a distribution.
    - Don't use make warnings with C++ builds.
    - Properly skip a test on Windows that requires tar.
  * Update standards version to 4.4.1 (no changes required).

 -- Russ Allbery <rra@debian.org>  Wed, 08 Jan 2020 14:48:16 -0800

docknot (3.01-1) unstable; urgency=medium

  * New upstream release.
    - Run make check-cppcheck during dist for Autoconf packages.
    - Run make check-valgrind during dist for packages that support it.
    - Allow the path to Perl to be configured in App::DocKnot::Dist.
  * Set AUTOMATED_TESTING to run more of the test suite.  Remove
    Build-Depends for author-only tests, which are not run.
  * Add git to Build-Depends to run the dist test suite.

 -- Russ Allbery <rra@debian.org>  Sun, 14 Jul 2019 20:55:42 -0700

docknot (3.00-1) unstable; urgency=medium

  * New upstream release.
    - Move confiugration parsing to App::DocKnot::Config.
    - Move entry point for commands to App::DocKnot::Command.
    - Add new docknot dist command and App::DocKnot::Dist module.
    - Support orphaned warnings in README and README.md output.
    - Add bug tracker links to CPAN RT in the developer documentation
      links section of the thread output.
  * Update to debhelper compatibility level V12.
    - Remove debian/compat and depend on debhelper-compat instead.

 -- Russ Allbery <rra@debian.org>  Sat, 29 Jun 2019 21:22:49 -0700

docknot (2.00-1) unstable; urgency=medium

  * New upstream release.
    - Previous docknot functionality moved to docknot generate command.
    - docknot generate now takes the template as its first positional
      argument.
    - The metadata path defaults to docs/metadata if not given.
    - The -o option and output argument are optional if a default output
      file is defined (which it is for readme and readme-md).
    - App::DocKnot functionality moved to App::DocKnot::Generate, and
      App::DocKnot now provides command parsing and subcommand support.
    - New generate-all command and method that generates all package
      documentation with a default output path.
    - Perl modules now generate a separate TESTING section.  Move the
      Lancaster instructions to that section, and use it for Perl module
      test dependencies.
    - Lancaster testing instructions generated even if a custom testing
      section is provided.
  * Update standards version to 4.3.0 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 12 Jan 2019 20:51:30 -0800

docknot (1.06-1) unstable; urgency=medium

  * New upstream release.
    - Put footnotes in text output immediately after the paragraph
      containing the reference, rather than moving them to the bottom of
      the formatted text.
    - Do not wrap paragraphs that look like a bunch of short lines.

