=== debian/control ===
Source: docknot
Section: text
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 git,
 libcapture-tiny-perl,
 libdevel-cover-perl,
 libfile-basedir-perl,
 libfile-copy-recursive-perl,
 libfile-sharedir-perl,
 libio-compress-lzma-perl,
 libipc-run-perl,
 libipc-system-simple-perl,
 libjson-maybexs-perl,
 liblist-someutils-perl,
 libmodule-build-perl,
 libperl6-slurp-perl,
 libtemplate-perl,
 libtest-minimumversion-perl,
 libtest-pod-perl,
 libtest-strict-perl,
 libtest-synopsis-perl,
 libyaml-libyaml-perl,
 pkwalify,
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-perl
Maintainer: Russ Allbery <rra@debian.org>
Standards-Version: 4.5.1
Homepage: https://www.eyrie.org/~eagle/software/docknot/
Vcs-Git: https://salsa.debian.org/rra/docknot.git
Vcs-Browser: https://salsa.debian.org/rra/docknot

Package: docknot
Architecture: all
Multi-Arch: foreign
Depends:
 libfile-basedir-perl,
 libfile-sharedir-perl,
 libio-compress-lzma-perl,
 libipc-run-perl,
 libipc-system-simple-perl,
 libjson-maybexs-perl,
 liblist-someutils-perl,
 libperl6-slurp-perl,
 libtemplate-perl,
 libyaml-libyaml-perl,
 pkwalify,
 ${misc:Depends},
 ${perl:Depends},
Description: Generate package documentation from metadata
 DocKnot is a system for generating consistent human-readable software
 package documentation from a YAML metadata file and templates.  The goal
 is to generate both web pages and distributed documentation files (such
 as README) from the same source, using templates for consistency across
 multiple packages.  DocKnot also automates generating distribution
 tarballs for software packages.
