=== debian/rules ===
#!/usr/bin/make -f

export AUTOMATED_TESTING=1

%:
	dh $@
