## docknot 7.01

=== debian/changelog ===
docknot (7.01-1) unstable; urgency=medium

  * New upstream release.
    - Correctly handle Unicode output from commands run from pointers and
      from POD processing by Pod::Thread.
    - Follow symlinks to ordinary files in docknot spin.
    - Use IEC units for \size spin command output.

 -- Russ Allbery <rra@debian.org>  Wed, 19 Jan 2022 20:57:09 -0800

docknot (7.00-1) unstable; urgency=medium

  * New upstream release.
    - Various module APIs now take Path::Tiny objects instead of strings.
    - Unicode should now be handled uniformly and correctly.
    - Fix processing of old-style pointers in docknot spin.
    - Fix import error when running docknot release.
    - Fix .versions updating in docknot release.
    - Process .rss files in an initial pass to avoid problems when their
      output files are newly-created and Path::Iterator::Rule doesn't
      re-read the directory.
    - Ensure the *.tar.xz file is always regenerated if needed.
    - Ensure GnuPG signatures are always regenerated.
    - Copy the file modification timestamps in docknot release.

 -- Russ Allbery <rra@debian.org>  Mon, 17 Jan 2022 12:56:42 -0800

docknot (6.01-1) unstable; urgency=medium

  * New upstream release.
    - Add new docknot release command to update a software release area.
    - Add new docknot update-spin command to update a spin input tree.
    - Avoid changing working directories in docknot spin.
    - Fix requirement for package metadata when running docknot spin.
    - Don't overwrite output files if docknot generate fails.
  * Update the package description to reflect that it is now also a static
    web site generator.

 -- Russ Allbery <rra@debian.org>  Sat, 15 Jan 2022 17:20:06 -0800

docknot (6.00-1) unstable; urgency=medium

  * New upstream release.
    - Add new *.spin file for docknot spin to format an external file.
    - Add Markdown support via *.spin files.
    - Support *.spin files for POD conversion (*.rpod is deprecated).
    - Support creating distributions from either master or main.
    - Fix unintended localization of dates in RSS output.
    - Fix small whitespace problems in thread output.

 -- Russ Allbery <rra@debian.org>  Sat, 25 Dec 2021 17:22:39 -0800

docknot (5.00-2) unstable; urgency=medium

  * Add lib/App/DocKnot.pm to the files made available to autopkgtest
    tests, since the test suite uses it as a sample POD document to test
    POD conversions.  (Closes: #996037)

 -- Russ Allbery <rra@debian.org>  Sun, 17 Oct 2021 11:36:12 -0700

docknot (5.00-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
    - Add static site generator, available as docknot spin.
    - Support distribution.packaging.debian.package metadata alongside
      distribution.packaging.debian.personal.
    - Ignore configure~ when checking distribution tarballs.
    - Stop generating a developer link to a to-do list in thread output.
  * Add perl to build dependencies, since it is formally needed although
    other packages are likely to pull it in.  Remove libdevel-cover-perl,
    since that test is skipped, and add libtest-pod-coverage-perl, which
    is run under automated testing.
  * Fix Bug-* URLs in debian/upstream/metadata.
  * Update standards version to 4.6.0 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 12 Sep 2021 11:55:16 -0700

docknot (4.01-1) experimental; urgency=medium

  * New upstream release.
    - Read ~/.config/docknot/config.yaml to set global user preferences,
      including distdir and pgp_key for docknot dist.
    - docknot dist now supports signing the generated tarballs.
    - Remove load_appdata_json helper function from App::DocKnot.
    - Fix docknot --help.
    - Documentation cleanups.
  * Refresh upstream signing key.

 -- Russ Allbery <rra@debian.org>  Sat, 27 Feb 2021 11:54:27 -0800
