=== debian/control ===
Source: docknot
Section: text
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 git,
 libcapture-tiny-perl,
 libfile-basedir-perl,
 libfile-copy-recursive-perl,
 libfile-sharedir-perl,
 libgit-repository-perl,
 libimage-size-perl,
 libio-compress-perl,
 libio-compress-lzma-perl,
 libipc-run-perl,
 libipc-system-simple-perl,
 libjson-maybexs-perl,
 liblist-someutils-perl,
 libmodule-build-perl,
 libpath-iterator-rule-perl,
 libpath-tiny-perl,
 libperl6-slurp-perl,
 libpod-thread-perl (>= 3.01),
 libsort-versions-perl,
 libtemplate-perl,
 libtest-minimumversion-perl,
 libtest-pod-perl,
 libtest-pod-coverage-perl,
 libtest-strict-perl,
 libtest-synopsis-perl,
 libtimedate-perl,
 libyaml-libyaml-perl,
 pandoc,
 perl,
 pkwalify,
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-perl
Maintainer: Russ Allbery <rra@debian.org>
Standards-Version: 4.6.0
Homepage: https://www.eyrie.org/~eagle/software/docknot/
Vcs-Git: https://salsa.debian.org/rra/docknot.git
Vcs-Browser: https://salsa.debian.org/rra/docknot

Package: docknot
Architecture: all
Multi-Arch: foreign
Depends:
 libfile-basedir-perl,
 libfile-sharedir-perl,
 libgit-repository-perl,
 libimage-size-perl,
 libio-compress-perl,
 libio-compress-lzma-perl,
 libipc-run-perl,
 libipc-system-simple-perl,
 libjson-maybexs-perl,
 liblist-someutils-perl,
 libpath-iterator-rule-perl,
 libpath-tiny-perl,
 libperl6-slurp-perl,
 libpod-thread-perl (>= 3.01),
 libsort-versions-perl,
 libtemplate-perl,
 libtimedate-perl,
 libyaml-libyaml-perl,
 pandoc,
 pkwalify,
 ${misc:Depends},
 ${perl:Depends},
Description: Static web site and documentation generator
 DocKnot is a static web site generator built around a macro language
 called thread, with special support for managing software releases.  In
 addition to building a web site, it can generate distribution tarballs
 and consistent human-readable software package documentation from a YAML
 metadata file and templates.  The goal is to generate both web pages and
 distributed documentation files (such as README) from the same source,
 using templates for consistency across multiple packages.
