=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://archives.eyrie.org/software/devel/App-DocKnot-(.*)\.tar\.xz
