## docknot 8.0.0

=== debian/changelog ===
docknot (8.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Add App::DocKnot::Spin::Text and docknot spin-text.
    - Support *.spin pointers for external text files, deprecating *.faq.
    - Support version numbers prefixed with v in release tarball names.
    - Change the docknot.yaml field orphaned to unmaintained.
    - Adjust the documentation generation for unmaintained packages.
    - Add missing </address> in pages rendered from Markdown.
    - Fix URL in docknot spin footer to point to the DocKnot home page.
  * Migrate to debputy.
  * Add README.source explaining the maintainer workflow for docknot.
  * Adjust watch and gbp.conf for the new upstream versioning pattern.
  * Update standards version to 4.7.0 (no changes required).
  * Refresh upstream signing key.

 -- Russ Allbery <rra@debian.org>  Sun, 07 Jul 2024 10:28:59 -0700

docknot (7.01-2) unstable; urgency=medium

  * Apply upstream patch to fix test suite with Perl 5.36 and later.  The
    error messages from Text::Balanced are slightly different and the test
    suite needed to be adjusted to allow for either.  (Closes: #1042853)
  * Update Lintian override for its new context syntax.
  * Update standards version to 4.6.2 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 18 Nov 2023 16:13:54 -0800
