=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-zz-debputy,
  git,
  libcapture-tiny-perl,
  libfile-basedir-perl,
@@ -36,7 +37,7 @@
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-perl
 Maintainer: Russ Allbery <rra@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://www.eyrie.org/~eagle/software/docknot/
 Vcs-Git: https://salsa.debian.org/rra/docknot.git
 Vcs-Browser: https://salsa.debian.org/rra/docknot
@@ -65,8 +66,6 @@
  libyaml-libyaml-perl,
  pandoc,
  pkwalify,
- ${misc:Depends},
- ${perl:Depends},
 Description: Static web site and documentation generator
  DocKnot is a static web site generator built around a macro language
  called thread, with special support for managing software releases.  In
