## docknot 8.0.1

=== debian/changelog ===
docknot (8.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix formatting of some text documents due to leakage of global state
      between documents.
    - Automatically add the .css suffix to style sheets specified in
      Markdown pointers, matching the behavior of other pointers.
    - Fix style sheet URLs during docknot update-spin.
  * Fix permissions of installed Perl modules to match Debian Policy.
  * Add X-Style: black to debian/control and reformat with debputy.
  * Remove now-unnecessary debian/docs debhelper configuration file.

 -- Russ Allbery <rra@debian.org>  Sun, 14 Jul 2024 11:58:28 -0700
